Summary: iPasserelle User Panel module
%define name ipasserelle-userpanel
Name: %{name}
%define version 0.2.2
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: GPL
URL: http://www.ipasserelle.com
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz

BuildArch: noarch
BuildRoot: /var/tmp/%{name}-%{version}

Requires: e-smith-base >= 5.2.0-62
Requires: ipasserelle-base
Requires: smeserver-lemonldap-ng => 0.1-15
Requires: smeserver-webapps-common >= 0.1-10

BuildRequires: e-smith-devtools

Obsoletes: smeserver-userpanel
Obsoletes: ipasserelle-user-portal
Provides: smeserver-userpanel

%description
iPasserelle User Portal provides a user oriented
portal where they can set their own settings
Admins can also delegate panels to users
This module is based on smeserver-userpanel

%changelog
* Sat Jan 23 2016 Daniel Berteaud <daniel@firewall-services.com> 0.2.2-1
- Don't force SSL for acme challenges URI

* Fri Sep 5 2014 Daniel Berteaud <daniel@firewall-services.com> 0.2.1-1
- Define localSessionStorage for admin and pki handlers

* Tue Nov 12 2013 Daniel Berteaud <daniel@firewall-services.com> 0.2.0-1
- Import in GIT

* Mon Nov 14 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-6
- create language symlinks

* Tue Jul 19 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-5
- Move SetEnvIf directives
- Add SSO protected access to PHPki
- Don't send $cn as header as it prevent access if username contains accent

* Mon Jul 18 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-4
- Rewrite userpanel-navigation (based on the current server-manager's one)

* Mon Jul 11 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-3
- Add httpd-admin handler to the list of handler which need a reload

* Wed Jul 06 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-2
- Expand LL::NG conf also in bootstrap-ldap-save and ipasserelle-update

* Tue Jun 28 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-1
- initial release (based on smeserver-userpanel-0.9-11)


%prep
%setup

%build
perl createlinks

%{__mkdir_p} root/etc/e-smith/web/panels/user/cgi-bin

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre

%preun

%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

